<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>JacocoReport (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="JacocoReport (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoMerge.html" title="class in org.gradle.testing.jacoco.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html" title="class in org.gradle.testing.jacoco.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/testing/jacoco/tasks/JacocoReport.html" target="_top">Frames</a></li>
<li><a href="JacocoReport.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.testing.jacoco.tasks</div>
<h2 title="Class JacocoReport" class="title">Class JacocoReport</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoBase.html" title="class in org.gradle.testing.jacoco.tasks">org.gradle.testing.jacoco.tasks.JacocoBase</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html" title="class in org.gradle.testing.jacoco.tasks">org.gradle.testing.jacoco.tasks.JacocoReportBase</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.testing.jacoco.tasks.JacocoReport</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, <a href="../../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../../org/gradle/api/reporting/Reporting.html" title="interface in org.gradle.api.reporting">Reporting</a>&lt;<a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportsContainer.html" title="interface in org.gradle.testing.jacoco.tasks">JacocoReportsContainer</a>&gt;, <a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, org.gradle.util.Configurable&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/tasks/CacheableTask.html" title="annotation in org.gradle.api.tasks">@CacheableTask</a>
<a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public class <span class="strong">JacocoReport</span>
extends <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html" title="class in org.gradle.testing.jacoco.tasks">JacocoReportBase</a>
implements <a href="../../../../../org/gradle/api/reporting/Reporting.html" title="interface in org.gradle.api.reporting">Reporting</a>&lt;<a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportsContainer.html" title="interface in org.gradle.testing.jacoco.tasks">JacocoReportsContainer</a>&gt;</pre>
<div class="block">Task to generate HTML, Xml and CSV reports of Jacoco coverage data.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReport.html#JacocoReport()">JacocoReport</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReport.html#generate()">generate</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportsContainer.html" title="interface in org.gradle.testing.jacoco.tasks">JacocoReportsContainer</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReport.html#getReports()">getReports</a></strong>()</code>
<div class="block">Returns the reports to be generated by this task.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportsContainer.html" title="interface in org.gradle.testing.jacoco.tasks">JacocoReportsContainer</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReport.html#reports(org.gradle.api.Action)">reports</a></strong>(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportsContainer.html" title="interface in org.gradle.testing.jacoco.tasks">JacocoReportsContainer</a>&gt;&nbsp;configureAction)</code>
<div class="block">Allow configuration of the report container by closure.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportsContainer.html" title="interface in org.gradle.testing.jacoco.tasks">JacocoReportsContainer</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReport.html#reports(groovy.lang.Closure)">reports</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Configures the reports to be generated by this task.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.testing.jacoco.tasks.JacocoReportBase">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.testing.jacoco.tasks.<a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html" title="class in org.gradle.testing.jacoco.tasks">JacocoReportBase</a></h3>
<code><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html#additionalClassDirs(java.io.File...)">additionalClassDirs</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html#additionalClassDirs(org.gradle.api.file.FileCollection)">additionalClassDirs</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html#additionalSourceDirs(java.io.File...)">additionalSourceDirs</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html#additionalSourceDirs(org.gradle.api.file.FileCollection)">additionalSourceDirs</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html#executionData(java.lang.Object...)">executionData</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html#executionData(org.gradle.api.Task...)">executionData</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html#executionData(org.gradle.api.tasks.TaskCollection)">executionData</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html#getAdditionalClassDirs()">getAdditionalClassDirs</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html#getAdditionalSourceDirs()">getAdditionalSourceDirs</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html#getAllClassDirs()">getAllClassDirs</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html#getAllSourceDirs()">getAllSourceDirs</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html#getAntBuilder()">getAntBuilder</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html#getClassDirectories()">getClassDirectories</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html#getExecutionData()">getExecutionData</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html#getInstantiator()">getInstantiator</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html#getSourceDirectories()">getSourceDirectories</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html#setAdditionalClassDirs(org.gradle.api.file.FileCollection)">setAdditionalClassDirs</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html#setAdditionalSourceDirs(org.gradle.api.file.FileCollection)">setAdditionalSourceDirs</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html#setClassDirectories(org.gradle.api.file.FileCollection)">setClassDirectories</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html#setExecutionData(org.gradle.api.file.FileCollection)">setExecutionData</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html#setSourceDirectories(org.gradle.api.file.FileCollection)">setSourceDirectories</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html#sourceSets(org.gradle.api.tasks.SourceSet...)">sourceSets</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.testing.jacoco.tasks.JacocoBase">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.testing.jacoco.tasks.<a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoBase.html" title="class in org.gradle.testing.jacoco.tasks">JacocoBase</a></h3>
<code><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoBase.html#getJacocoClasspath()">getJacocoClasspath</a>, <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoBase.html#setJacocoClasspath(org.gradle.api.file.FileCollection)">setJacocoClasspath</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="JacocoReport()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>JacocoReport</h4>
<pre>public&nbsp;JacocoReport()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getReports()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReports</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportsContainer.html" title="interface in org.gradle.testing.jacoco.tasks">JacocoReportsContainer</a>&nbsp;getReports()</pre>
<div class="block">Returns the reports to be generated by this task.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/reporting/Reporting.html#getReports()">getReports</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/reporting/Reporting.html" title="interface in org.gradle.api.reporting">Reporting</a>&lt;<a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportsContainer.html" title="interface in org.gradle.testing.jacoco.tasks">JacocoReportsContainer</a>&gt;</code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The report container</dd></dl>
</li>
</ul>
<a name="reports(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reports</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportsContainer.html" title="interface in org.gradle.testing.jacoco.tasks">JacocoReportsContainer</a>&nbsp;reports(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block">Configures the reports to be generated by this task.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/reporting/Reporting.html#reports(groovy.lang.Closure)">reports</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/reporting/Reporting.html" title="interface in org.gradle.api.reporting">Reporting</a>&lt;<a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportsContainer.html" title="interface in org.gradle.testing.jacoco.tasks">JacocoReportsContainer</a>&gt;</code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>closure</code> - The configuration</dd>
<dt><span class="strong">Returns:</span></dt><dd>The report container</dd></dl>
</li>
</ul>
<a name="reports(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reports</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportsContainer.html" title="interface in org.gradle.testing.jacoco.tasks">JacocoReportsContainer</a>&nbsp;reports(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportsContainer.html" title="interface in org.gradle.testing.jacoco.tasks">JacocoReportsContainer</a>&gt;&nbsp;configureAction)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../org/gradle/api/reporting/Reporting.html#reports(org.gradle.api.Action)">Reporting</a></code></strong></div>
<div class="block">Allow configuration of the report container by closure.

 <pre>
 reports {
   html {
     enabled false
   }
   xml.destination "build/reports/myReport.xml"
 }
 </pre></div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/reporting/Reporting.html#reports(org.gradle.api.Action)">reports</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/reporting/Reporting.html" title="interface in org.gradle.api.reporting">Reporting</a>&lt;<a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportsContainer.html" title="interface in org.gradle.testing.jacoco.tasks">JacocoReportsContainer</a>&gt;</code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>configureAction</code> - The configuration</dd>
<dt><span class="strong">Returns:</span></dt><dd>The report container</dd></dl>
</li>
</ul>
<a name="generate()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>generate</h4>
<pre>public&nbsp;void&nbsp;generate()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoMerge.html" title="class in org.gradle.testing.jacoco.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/testing/jacoco/tasks/JacocoReportBase.html" title="class in org.gradle.testing.jacoco.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/testing/jacoco/tasks/JacocoReport.html" target="_top">Frames</a></li>
<li><a href="JacocoReport.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
